Debian Bug report logs - #562720
pidgin hangs if a jabber buddy opens a audio/video connection to you

version graph

Package: pidgin; Maintainer for pidgin is Ari Pollak <ari@debian.org>; Source for pidgin is src:pidgin.

Reported by: Patrick Matthäi <pmatthaei@debian.org>

Date: Sun, 27 Dec 2009 11:36:01 UTC

Severity: important

Found in version pidgin/2.6.4-1

Fixed in version 2.7.3-1

Done: Ari Pollak <ari@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://developer.pidgin.im/ticket/10703

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Sun, 27 Dec 2009 11:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Matthäi <pmatthaei@debian.org>:
New Bug report received and forwarded. Copy sent to Ari Pollak <ari@debian.org>. (Sun, 27 Dec 2009 11:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Sun, 27 Dec 2009 12:33:57 +0100
Package: pidgin
Version: 2.6.4-1
Severity: serious

Hi,

if you do the following in pidgin, the remote pidgin crashs:

* Open an audio/video chat to one of your jabber buddys
* The pidgin of the buddy hangs, without that he aggreed to anything


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pidgin depends on:
ii  gconf2                      2.28.0-1     GNOME configuration database syste
ii  libatk1.0-0                 1.28.0-1     The ATK accessibility toolkit
ii  libc6                       2.10.2-2     GNU C Library: Shared libraries
ii  libcairo2                   1.8.8-2      The Cairo 2D vector graphics libra
ii  libdbus-1-3                 1.2.16-2     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.82-2       simple interprocess messaging syst
ii  libfontconfig1              2.6.0-4.2    generic font configuration library
ii  libfreetype6                2.3.11-1     FreeType 2 font engine, shared lib
ii  libglib2.0-0                2.22.3-2     The GLib library of C routines
ii  libgstreamer0.10-0          0.10.25-4    Core GStreamer libraries and eleme
ii  libgtk2.0-0                 2.18.5-1     The GTK+ graphical user interface 
ii  libgtkspell0                2.0.13-2     a spell-checking addon for GTK's T
ii  libice6                     2:1.0.6-1    X11 Inter-Client Exchange library
ii  libpango1.0-0               1.26.2-1     Layout and rendering of internatio
ii  libpurple0                  2.6.4-1      multi-protocol instant messaging l
ii  libsm6                      2:1.1.1-1    X11 Session Management library
ii  libstartup-notification0    0.10-1       library for program launch feedbac
ii  libx11-6                    2:1.3.2-1    X11 client-side library
ii  libxml2                     2.7.6.dfsg-1 GNOME XML library
ii  libxss1                     1:1.1.3-1    X11 Screen Saver extension library
ii  perl                        5.10.1-8     Larry Wall's Practical Extraction 
ii  perl-base [perlapi-5.10.1]  5.10.1-8     minimal Perl system
ii  pidgin-data                 2.6.4-1      multi-protocol instant messaging c

Versions of packages pidgin recommends:
ii  gstreamer0.10-plugins-base    0.10.25-7  GStreamer plugins from the "base" 
ii  gstreamer0.10-plugins-good    0.10.17-1  GStreamer plugins from the "good" 

Versions of packages pidgin suggests:
pn  evolution-data-server         <none>     (no description available)
ii  kdebase-workspace-bin         4:4.3.4-3  core binaries for the KDE 4 base w
ii  libsqlite3-0                  3.6.21-2   SQLite 3 shared library

-- no debconf information




Severity set to 'important' from 'serious' Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Thu, 31 Dec 2009 03:15:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://developer.pidgin.im/ticket/10703'. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Fri, 08 Jan 2010 02:42:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Mon, 15 Feb 2010 19:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Mon, 15 Feb 2010 19:39:06 GMT) Full text and rfc822 format available.

Message #14 received at 562720@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Debian Bug Control <control@bugs.debian.org>, 562720@bugs.debian.org, ari@debian.org
Subject: Re: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Mon, 15 Feb 2010 20:37:49 +0100
severity #562720 serious
thanks

Sorry, but this was a realy bad action from you!
I marked it as serious, because ANY remote attacker could DoS my pidgin 
and I could not do anything against it!

Downgrading bugs without any explaination is also very bad, especially 
if they are marked as RC bugs..

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/




Severity set to 'serious' from 'important' Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Mon, 15 Feb 2010 19:39:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#562720; Package pidgin. (Mon, 15 Feb 2010 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ari Pollak <ari@debian.org>:
Extra info received and forwarded to list. (Mon, 15 Feb 2010 20:45:06 GMT) Full text and rfc822 format available.

Message #21 received at 562720@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: pmatthaei@debian.org, control@bugs.debian.org
Cc: 562720@bugs.debian.org
Subject: Re: Bug#562720: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Mon, 15 Feb 2010 15:43:23 -0500
severity 562720 important
thanks

Please accept my deepest apologies for downgrading the severity of a bug
that obviously did not meet the criteria for a serious severity. Let me
quote from the BTS manual:

serious
is a severe violation of Debian policy (roughly, it violates a must or
required directive), or, in the package maintainer's or release
manager's opinion, makes the package unsuitable for release.

Please point to the section of Debian policy that this bug violates.
Assuming your XMPP settings require that users must authenticate with
you before being able to send you messages, only your authenticated
users would be able to freeze your client, assuming they knew you were
actually affected by this bug. Not everyone sees this behavior, and it's
only on one protocol, but if you'd really like to hold up this package
from Debian stable, feel free to take it up with the release team or
tech-ctte.

Additionally, please try to refrain from changing the severity of a bug
that the maintainer has already triaged. If you disagree with a bug's
attributes, there are processes in place to get around them without
abusing the BTS.




Severity set to 'important' from 'serious' Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Mon, 15 Feb 2010 20:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Mon, 15 Feb 2010 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Mon, 15 Feb 2010 21:15:03 GMT) Full text and rfc822 format available.

Message #28 received at 562720@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Ari Pollak <ari@debian.org>
Cc: 562720@bugs.debian.org, Debian Bug Control <control@bugs.debian.org>, team@security.debian.org
Subject: Re: Bug#562720: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Mon, 15 Feb 2010 22:13:09 +0100
severity #562720 grave
thanks

On 15.02.2010 21:43, Ari Pollak wrote:
> severity 562720 important
> thanks
>
> Please accept my deepest apologies for downgrading the severity of a bug
> that obviously did not meet the criteria for a serious severity. Let me
> quote from the BTS manual:
>
> serious
> is a severe violation of Debian policy (roughly, it violates a must or
> required directive), or, in the package maintainer's or release
> manager's opinion, makes the package unsuitable for release.

Before you quote the policy, you may also think about, that it mets the 
criteria of grave, in fact it is a release critical one.

>
> Please point to the section of Debian policy that this bug violates.
> Assuming your XMPP settings require that users must authenticate with
> you before being able to send you messages, only your authenticated
> users would be able to freeze your client, assuming they knew you were
> actually affected by this bug. Not everyone sees this behavior, and it's
> only on one protocol, but if you'd really like to hold up this package
> from Debian stable, feel free to take it up with the release team or
> tech-ctte.

Ehm sorry, I think you didn't understand the security and stable side of 
debian.
It is, in fact, also a security hole, if an authenticated user is able 
to DoS the application. And I also do not want to hold back pidgin from 
Squeeze, this bug just has to be fixed BEFORE Squeeze is released!

>
> Additionally, please try to refrain from changing the severity of a bug
> that the maintainer has already triaged. If you disagree with a bug's
> attributes, there are processes in place to get around them without
> abusing the BTS.

Ehm sorry...

1) it is a quite bas behaviour from a maintainer, to downgrade a 
severity without any explainations
2) you didn't answered to the bug in any ways
3) the bug is also security related

And what about users, who set up their pidgin, that also 
non-authenticated users are able to query them?

Sorry, but it looks like you are just downgrading it, to lower down the 
RC bugs...

I am also CCing team@security.debian.org now and raise the severity to 
grave. Sorry but it is in my eyes DEFINITLY a blocker!


-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/




Severity set to 'grave' from 'important' Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Mon, 15 Feb 2010 21:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Mon, 15 Feb 2010 23:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Mon, 15 Feb 2010 23:12:04 GMT) Full text and rfc822 format available.

Message #35 received at 562720@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: pmatthaei@debian.org
Cc: Ari Pollak <ari@debian.org>, 562720@bugs.debian.org, Debian Bug Control <control@bugs.debian.org>, team@security.debian.org
Subject: Re: Bug#562720: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Tue, 16 Feb 2010 00:08:34 +0100
[Message part 1 (text/plain, inline)]
tags 562720 security
thanks

Il 15/02/2010 22:13, Patrick Matthäi ha scritto:
> I am also CCing team@security.debian.org now and raise the severity to
> grave. Sorry but it is in my eyes DEFINITLY a blocker!

I don't want take part in the severity ping-pong game, but if a remote user
can crash pidgin, this is a security bug, though the severity is debatable.

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) security. Request was from Giuseppe Iuculano <iuculano@debian.org> to control@bugs.debian.org. (Mon, 15 Feb 2010 23:12:06 GMT) Full text and rfc822 format available.

Message sent on to Patrick Matthäi <pmatthaei@debian.org>:
Bug#562720. (Wed, 24 Mar 2010 01:45:05 GMT) Full text and rfc822 format available.

Message #40 received at 562720-submitter@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: control@bugs.debian.org
Cc: 562720-submitter@bugs.debian.org
Date: Tue, 23 Mar 2010 21:44:24 -0400
severity 562720 important
thanks

After some discussion with the bug reporter, I think we agreed that this
was not RC.




Severity set to 'important' from 'grave' Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 24 Mar 2010 01:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Sat, 15 May 2010 13:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uli Schlachter <psychon@znc.in>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Sat, 15 May 2010 13:36:10 GMT) Full text and rfc822 format available.

Message #47 received at 562720@bugs.debian.org (full text, mbox):

From: Uli Schlachter <psychon@znc.in>
To: 562720@bugs.debian.org
Subject: My 5 cents
Date: Sat, 15 May 2010 15:25:47 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Hi,

bug is kind of reproducible here. When I start an "audio/video call", my local
pidgin crashes. From the valgrind output I concluded that this is a NULL pointer
dereference (EIP points to "mov 0x38(%rbp),%rbp" and valrgind talks about
invalid access to 0x38).

Starting from that instruction pointer I tried to figure out where in the source
code this might be. I'm pretty sure this is in libpurple/media.c,
media_bus_call() before the while loop which checks on !GST_IS_PIPELINE(). This
would mean that the "msg" argument to media_bus_call() would be NULL or
GST_IS_PIPELINE() is called with a NULL pointer.

(Sorry, I looked into this a while ago and don't remember exactly how I came to
his conclusion. There was a function call in objdump -S output to a function
which would only be called in GST_IS_PIPELINE() or something like that)

I hope this helps someone in debugging this.

Cheers,
Uli
- -- 
- - Buck, when, exactly, did you lose your mind?
- - Three months ago. I woke up one morning married to a pineapple.
  An ugly pineapple... But I loved her!
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJL7qDWAAoJECLkKOvLj8sGthcH/0SMiunn31puNPYtIHpJtMVK
VaMEo1WC9IU9BQaCAG4y+2PX/nRbW0K8PPDObP4YwE6hMc9EpLxWFtFxagp84e7o
Y7IJT/ajZOepD1PNVcBixAVrS+DSZJ79dCmDVpYo+sE4bHPYf9eXMwps0z9Dw/A4
Q6iCPXY6AbmGofMXMqR+gg4LcI1ylL8jQ2bH2rlxLsTTMZTlyuw9Mfw/w2vqxvRN
WSxfwJklXvcWk9UmV1+aje3ZiUqro/D5FL9l2ARiXl4CgnnLswBQ5/+6m4LOCwNK
XEUa080pydjc3mzVvSJ4Sp9yXrwesNr04S6K7sNKqQZSp05kYhRGnHQUxrOOCrI=
=eyim
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Fri, 04 Jun 2010 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Fri, 04 Jun 2010 15:57:03 GMT) Full text and rfc822 format available.

Message #52 received at 562720@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Ari Pollak <ari@debian.org>
Cc: pmatthaei@debian.org, 562720@bugs.debian.org
Subject: Re: Re: Bug#562720: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Fri, 04 Jun 2010 17:54:24 +0200
Le -10/01/-28163 20:59, Ari Pollak a écrit :
> Assuming your XMPP settings require that users must authenticate with
> you before being able to send you messages, only your authenticated
> users would be able to freeze your client, assuming they knew you were
> actually affected by this bug. [...]

So now, you have to run a background check before accepting new buddies?

People might not even be aware of this bug. For a while, I've observed 
random unexplained, unreproducible (but not frequent enough to bother me 
that much) crashes of pidgin. Now, it's clear that I've been hit by this 
bug. A buddy of mine indeed was trying to initiate video calls (without 
harmful intentions).

Has anyone come up with some kind of workaround? Now that I know this 
bug, I find it *very* annoying... Obviously, squeeze should not be 
released with it. Maybe some kind of warning should be put somewhere, 
like a popup before accepting video calls, and/or some option to disable 
this feature?


Cheers,

-- 
Stéphane




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Fri, 04 Jun 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Fri, 04 Jun 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #57 received at 562720@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: Stéphane Glondu <glondu@debian.org>
Cc: Ari Pollak <ari@debian.org>, 562720@bugs.debian.org
Subject: Re: Bug#562720: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Fri, 04 Jun 2010 21:28:32 +0200
Am 04.06.2010 17:54, schrieb Stéphane Glondu:
> Le -10/01/-28163 20:59, Ari Pollak a écrit :
>> Assuming your XMPP settings require that users must authenticate with
>> you before being able to send you messages, only your authenticated
>> users would be able to freeze your client, assuming they knew you were
>> actually affected by this bug. [...]
>
> So now, you have to run a background check before accepting new buddies?
>
> People might not even be aware of this bug. For a while, I've observed
> random unexplained, unreproducible (but not frequent enough to bother me
> that much) crashes of pidgin. Now, it's clear that I've been hit by this
> bug. A buddy of mine indeed was trying to initiate video calls (without
> harmful intentions).
>
> Has anyone come up with some kind of workaround? Now that I know this
> bug, I find it *very* annoying... Obviously, squeeze should not be
> released with it. Maybe some kind of warning should be put somewhere,
> like a popup before accepting video calls, and/or some option to disable
> this feature?

I don't know any workaround for this :/

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Mon, 07 Jun 2010 11:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Mon, 07 Jun 2010 11:39:03 GMT) Full text and rfc822 format available.

Message #62 received at 562720@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Ari Pollak <ari@debian.org>, 562720@bugs.debian.org
Subject: Re: Bug#562720: (no subject)
Date: Mon, 7 Jun 2010 13:35:45 +0200
	Hi!

* Ari Pollak <ari@debian.org> [2010-03-24 02:44:24 CET]:
> severity 562720 important
> thanks
> 
> After some discussion with the bug reporter, I think we agreed that this
> was not RC.

 Actually it would be quite convenient what led to this impression.
Having remote people being able to lock down your application does
indeed sound quite RC to me and I would like to know the reasons why it
isn't considered to be.

 Thanks in advance for shining a light,
Rhonda
-- 
"most users choose convenience over security, and that's reflected in the
 choice of the current default"
   Hin-Tak Leung -- http://bugs.ghostscript.com/show_bug.cgi?id=691339#c7




Information forwarded to debian-bugs-dist@lists.debian.org, Ari Pollak <ari@debian.org>:
Bug#562720; Package pidgin. (Sun, 29 Aug 2010 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to pmatthaei@debian.org:
Extra info received and forwarded to list. Copy sent to Ari Pollak <ari@debian.org>. (Sun, 29 Aug 2010 16:39:03 GMT) Full text and rfc822 format available.

Message #67 received at 562720@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 562720@bugs.debian.org, Debian Bug Control <control@bugs.debian.org>, Uli Schlachter <psychon@znc.in>
Subject: Re: pidgin hangs if a jabber buddy opens a audio/video connection to you
Date: Sun, 29 Aug 2010 18:36:15 +0200
tags #562720 - security
thanks

Hello,

just a little quick update:
It seems as 2.7.x in sid does not crash anymore, if someone starts an 
audio/video connection to me, tested with several persons.

So I am removing the security tag.

But my own pidgin still crashs if I try to open such a connection to 
another person.

-- 
/*
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org
        patrick@linux-dev.org

Comment:
Always if we think we are right,
we were maybe wrong.
*/




Removed tag(s) security. Request was from Patrick Matthäi <pmatthaei@debian.org> to control@bugs.debian.org. (Sun, 29 Aug 2010 16:39:05 GMT) Full text and rfc822 format available.

Reply sent to Ari Pollak <ari@debian.org>:
You have taken responsibility. (Mon, 03 Jan 2011 00:30:13 GMT) Full text and rfc822 format available.

Notification sent to Patrick Matthäi <pmatthaei@debian.org>:
Bug acknowledged by developer. (Mon, 03 Jan 2011 00:30:13 GMT) Full text and rfc822 format available.

Message #74 received at 562720-done@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: 562720-done@bugs.debian.org
Date: Sun, 02 Jan 2011 19:27:34 -0500
Version: 2.7.3-1

It appears that this original bug was fixed in 2.7.x.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 Jan 2011 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:17:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.